
/*     *******************************************************************************
	XVisual GUI Development System for Linux/X-Window
	Copyright (C) 1996 Steve Carrie.

        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
        ******************************************************************************* */

/* =============================================
	xvis user interface builder for Athena widgets using
	xv class library.

	File Segment

	V1.0BETA  - last edited 01/07/96
    ============================================= */

// ---------------------------------------------
// Include file declarations

#include "xvis.h"
#include <string.h>
#include <stdio.h>

// ---------------------------------------------
// local forward function declares & variables

Boolean dirChanged=FALSE;

// --------------------------------------------
// Callbacks

void fileselect_file_call(Widget aw, XtPointer client, XtPointer call)
{
	xvisSelFile.File(call);
}

void fileselect_dir_call(Widget aw, XtPointer client, XtPointer call)
{
	dirChanged=TRUE;
	xvisSelFile.Directory(call);
}

void fileselect_cancel_call(Widget aw, XtPointer client, XtPointer call)
{
	xvisSelectFile.RemoveGrab();
	xvisSelectFile.Close();
}

void fileselect_err_call(Widget aw, XtPointer client, XtPointer call)
{
	xvisSelFile.ClearError(call);
}

void fileselect_edit_call(Widget w, XEvent *event, String *params, Cardinal *num)
{
	xvisSelFile.EditEntry();
}
//---------------------------------------------
// Local Stuff

void buildSelectFileWindow(String name, XtCallbackProc okcallback, String mask, 
		Boolean activemask, Boolean allowDirchange)
{
	xvisSelectFile.init(name, "xvisSelectFile", xvisContext);
	xvisSelectFile.SetWindowResource(XtNgeometry, (XtArgVal) "+230+175"); 
	xvisSelFile.init("fileselectlist", xvisSelectFile, cwd, 
		fileselect_file_call, fileselect_dir_call, okcallback,
		fileselect_cancel_call, fileselect_err_call, fileselect_edit_call, 
		xvisContext, mask, activemask, allowDirchange);
	dirChanged=FALSE;
}

// ---------------------------------

		